Package twisted :: Package protocols :: Module imap4 :: Class CramMD5ServerAuthenticator

[show private | hide private]
[frames | no frames]

## Class CramMD5ServerAuthenticator

Method Summary
| `__init__(self, host, authorizer)`
| `authenticateResponse(self, state, response)`
| `generateChallenge(self)`
| `getName(self)`
| `_CramMD5ServerAuthenticator__cbIdentity(self, identity, state, digest)`
| `_CramMD5ServerAuthenticator__cbPerspective(self, (identity, pers)`
| `_CramMD5ServerAuthenticator__cbVerified(self, identity, name)`

Class Variable Summary
`tuple` | `__implements__`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.protocols.imap4.IServerAuthentication'>,)

Generated by Epydoc 1.1 on Thu May 8 13:18:47 2003 | http://epydoc.sf.net